Bug 239334 - lftp affected by problems described in CVE-2007-2348
Summary: lftp affected by problems described in CVE-2007-2348
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: lftp   
(Show other bugs)
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jiri Skala
QA Contact:
URL: http://lftp.yar.ru/news.html
Whiteboard: impact=low,source=gentoo,reported=200...
Keywords: Security
Depends On:
Blocks: CVE-2007-2348
TreeView+ depends on / blocked
 
Reported: 2007-05-07 17:00 UTC by Michal Jaegermann
Modified: 2014-11-09 22:30 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 09:37:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1278 normal SHIPPED_LIVE Low: lftp security and bug fix update 2009-09-01 09:46:46 UTC

Description Michal Jaegermann 2007-05-07 17:00:38 UTC
Description of problem:

According to 
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2007-2348
version of lftp used in RHEL 5 and earlier have issues with
quoting in scripts generated by 'mirror --script' and this may
cause priviledge escalation and a remote command execution
(although possibilty of such attack looks somewhat remote).

Looking at versions it appears that this lftp will be affected
by bug #211483 as well.

The same will apply to FC5; FC6 and rawhide currently sport
versions where this bug was fixed.

Version-Release number of selected component (if applicable):
lftp-3.5.1-2.fc6

Comment 2 RHEL Product and Program Management 2008-06-04 22:49:25 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 11 errata-xmlrpc 2009-09-02 09:37:53 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1278.html


Note You need to log in before you can comment on or make changes to this bug.